<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="domain.server-group">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="graceful-startup,management-subsystem-endpoint,profile,socket-binding-default-interface,socket-binding-group,socket-binding-port-offset"/>
        <elem name="addr-params" value="server-group"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="domain.server-group"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.domain.server-group.$server-group"/>
    </provides>
    <requires>
        <capability name="org.wildfly.domain.profile.$profile"/>
    </requires>
    <refs>
        <ref feature="profile"/>
        <ref feature="domain.socket-binding-group"/>
    </refs>
    <params>
        <param name="socket-binding-group"/>
        <param name="profile"/>
        <param name="management-subsystem-endpoint" nillable="true"/>
        <param name="server-group" feature-id="true"/>
        <param name="graceful-startup" nillable="true"/>
        <param name="socket-binding-port-offset" nillable="true"/>
        <param name="socket-binding-default-interface" nillable="true"/>
    </params>
</feature-spec>